#ifndef _BALL_
#define _BALL_

#include "MoveableEntity.hpp"

#include "gl.hpp"
#include "FramebufferObject.hpp"
#include "Shader.hpp"
#include "DynamicCubeMap.hpp"


#ifndef PI 
#define PI 	3.141592654f
#endif

class Ball : public MoveableEntity
{
public:
	Ball(Game* g, Vector3f);
	void Render() override;
	virtual void onTick(float) override;

	void setVelocity(Vector3f);

private:
	static bool textureInitialized;
	
	static GLuint ballTexture;
		
	float radius;

	Shader m_Shader;

	DynamicCubeMap cubeMap;
};
#endif // _BALL_
